summaryrefslogtreecommitdiff
path: root/precise-armhf-developer/Makefile
diff options
context:
space:
mode:
authorFathi Boudra <fabo@debian.org>2012-03-13 12:09:06 +0200
committerFathi Boudra <fabo@debian.org>2012-03-13 12:09:06 +0200
commit45e8d973853e8096b7731424054ddfd77e80f7cf (patch)
treeb035fac47fb9d4a03dd397eb1947c92411b1f105 /precise-armhf-developer/Makefile
parente84139be68666cd54ad5fb476cf598bc0ef35a96 (diff)
Add initial configuration for Developer image
Diffstat (limited to 'precise-armhf-developer/Makefile')
-rwxr-xr-xprecise-armhf-developer/Makefile17
1 files changed, 17 insertions, 0 deletions
diff --git a/precise-armhf-developer/Makefile b/precise-armhf-developer/Makefile
new file mode 100755
index 0000000..4ef94fd
--- /dev/null
+++ b/precise-armhf-developer/Makefile
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+# (C) 2012 Fathi Boudra <fathi.boudra@linaro.org>
+
+# Calls all necessary live-build programs in the correct order to complete
+# the bootstrap, chroot, binary, and source stage.
+
+# You need live-build package installed and superuser privileges.
+
+TIMESTAMP=`date "+%y%m%d%H%M%S"`
+LOGFILE=logfile-$(TIMESTAMP)
+
+all:
+ set -e; sudo lb build 2>&1 | tee $(LOGFILE)
+
+clean:
+ sudo lb clean --purge